import {requestInstance} from "@/service";

export function getReportMbHomeTableData(params) {
 return requestInstance({
  url:'/ptjkInterface/selectPtjkTemplateMainPageList',
  data:{
   ...params
  }
 })
}
export function disableReportMb(UUID) {
 return requestInstance({
  url:'/ptjkInterface/enablePtjkTemplateMain_01',
  data:{
   UUID
  }
 })
}
export function enableReportMb(UUID) {
 return requestInstance({
  url:'/ptjkInterface/enablePtjkTemplateMain',
  data:{
   UUID
  }
 })
}
export function editOrAddReportMb(params) {
 return requestInstance({
  url:'/ptjkInterface/addPtglTempLate',
  data:{
   ...params
  }
 })
}

export function editOrAddReportData(params) {
 return requestInstance({
  url:'/ptjkInterface/addPtglTempLateUnit',
  data:{
   ...params
  }
 })
}

export function deleteReportMb(UUID){
 return requestInstance({
  url:'/ptjkInterface/removePtjkTemplateMain',
  data:{
   UUID
  }
 })
}
